%{!?_licensedir:%global license %%doc}
%define debug_package %{nil}

Name: libbaseencode
Version: 1.0.11
Release: 1%{?dist}
Summary: Library for encoding and decoding base32/64 data according to RFC-4648
License: ASL 2.0
URL: https://github.com/paolostivanin/%{name}
Source0: %{url}/archive/v%{version}.tar.gz

BuildRequires: gcc gcc-c++ cmake3

%description
Library written in C for encoding and decoding data using base32 or base64 according to RFC-4648


%package devel
Summary: Header files, libraries and development documentation for %{name}.
Requires: %{name} = %{version}-%{release}


%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.


%prep
%autosetup


%build
%{cmake3} .
%if 0%{?fedora} >= 33
%{cmake_build}
%else
make %{?_smp_mflags}
%endif


%install
[ '%{buildroot}' != '/' ] && rm -rf %{buildroot}
%if 0%{?fedora} >= 33
%{cmake_install}
%else
%make_install
%endif


%files
%defattr(-,root,root,-)
%license LICENSE
%doc README.md
%{_libdir}/libbaseencode.so.*


%files devel
%{_libdir}/libbaseencode.so
%{_libdir}/pkgconfig/baseencode.pc
%{_includedir}/baseencode.h


%changelog
* Tue Nov  3 2020 Philippe Kueck <projects@unixadm.org> - 1.0.11-1
- initial packaging
